{% extends "base.html" %}
{% import 'bootstrap/wtf.html' as wtf %}


{% block title %}
    {% if current_user.role.name == "老师"%}
    发布新的解答
    {% else %}
    发布新的帖子
    {% endif %}
{% endblock %}
{% block content %}
    {% if current_user.role.name == "老师"%}
    <body>
    <main>
        <div class="container mt-3">
            <h3 class="text-info"><strong>新的解答</strong></h3>
            <hr class="bg-secondary">
            <form action="/post/newt" method="post">
                {{ form.csrf_token }}
                {{ wtf.form_field(form.title) }}
                <div class="row">
                    <div class="col">
                    {{ wtf.form_field(form.problem) }}
                    </div>
                </div>
                {{ form.body }}
                开放时间
                <br>
                {{ form.dt }}
                <div class="text-right">
                    {{ form.submit }}
                </div>
            </form>
        </div>
    </main>
    </body>
    {{ ckeditor.load() }}
    {{ ckeditor.config(name='body') }}
    <script src="{{ url_for('static', filename='js/ckeditor.js') }}"></script>
    {% else %}
    <body>
    <main>
        <div class="container mt-3">
            <h3 class="text-info"><strong>新的讨论</strong></h3>
            <hr class="bg-secondary">
            <form action="/post/new" method="post">
                {{ form.csrf_token }}
                {{ wtf.form_field(form.title) }}
                <div class="row">
                    <div class="col">
                        {{ wtf.form_field(form.problem) }}
                    </div>
                </div>
                {{ form.body }}
                <div class="text-right">
                    {{ form.submit }}
                </div>
            </form>
        </div>
    </main>
    </body>
    {{ ckeditor.load() }}
    {{ ckeditor.config(name='body')}}
    <script src="{{ url_for('static', filename='js/ckeditor.js') }}"></script>
    {% endif %}
{% endblock %}